# Learning MLJ

[MLJ Cheatsheet](@ref)

See also [Getting help and reporting problems](@ref).

The present document, although littered with examples, is primarily
intended as a complete reference. 

## Where to start?

### Completely new to Julia? 
[Julia's learning resources page](https://julialang.org/learning/) |
[Learn X in Y minutes](https://learnxinyminutes.com/docs/julia/) |
[HelloJulia](https://github.com/ablaom/HelloJulia.jl)

### New to data science?
[Julia Data Science](https://github.com/JuliaDataScience/JuliaDataScience)

### New to machine learning?
[Introduction to Statistical Learning](https://www.statlearning.com) with Julia versions of  the R labs [here](https://juliaai.github.io/DataScienceTutorials.jl/)

### Know some ML and just want MLJ basics?
[Getting Started](@ref) | [Common MLJ Workflows](@ref)

### An ML practitioner transitioning from another platform?
[MLJ for Data Scientists in Two Hours](https://juliaai.github.io/DataScienceTutorials.jl/end-to-end/telco/) |
[MLJTutorial](https://github.com/ablaom/MLJTutorial.jl)


## Other resources

- [Data Science Tutorials](https://juliaai.github.io/DataScienceTutorials.jl): MLJ tutorials including end-to-end examples, and "Introduction to Statistical Learning" labs

- [MLCourse](https://github.com/jbrea/MLCourse): Teaching material for an introductory machine learning course at EPFL (for an interactive preview see [here](https://bio322.epfl.ch)).

- [Julia Boards the Titanic](https://forem.julialang.org/ablaom/julia-boards-the-titanic-1ne8) Blog post on using MLJ for users new to Julia. 

- [Analyzing the Glass Dataset](https://towardsdatascience.com/part-i-analyzing-the-glass-dataset-c556788a496f): A gentle introduction to data science using Julia and MLJ (three-part blog post)

- [Lightning Tour](https://github.com/alan-turing-institute/MLJ.jl/blob/dev/examples/lightning_tour/lightning_tour.ipynb): A compressed demonstration of key MLJ functionality

- [MLJ JuliaCon2020 Workshop](https://github.com/ablaom/MachineLearningInJulia2020): older version of  [MLJTutorial](https://github.com/ablaom/MLJTutorial.jl) with [video](https://www.youtube.com/watch?time_continue=27&v=qSWbCn170HU&feature=emb_title)

- [Learning Networks](@ref): For advanced MLJ users wanting to wrap workflows more complicated than linear pipelines

- [Machine Learning Property Loans for Fun and Profit](https://dm13450.github.io/2022/07/08/Machine-Learning-Property-Loans.html) - Blog post demonstrating the use of MLJ to predict prospects for investment in property development loans. 

- [Predicting a Successful Mt Everest
  Climb](https://dm13450.github.io/2023/04/27/Predicting-a-Successful-Mt-Everest-Climb.html) -
  Blog post using MLJ to discover factors correlating with success in expeditions to climb the world's highest peak.
