# Third Party Packages

A list of third-party packages with integration with MLJ.

Last updated December 2020.

Pull requests to update this list are very welcome. Otherwise, you may
post an issue requesting this
[here](https://github.com/alan-turing-institute/MLJ.jl/issues).

## Packages providing models in the MLJ model registry

See [List of Supported Models](@ref model_list)


## Providing unregistered models:

- [SossMLJ.jl](https://github.com/cscherrer/SossMLJ.jl)
- [TimeSeriesClassification](https://github.com/alan-turing-institute/TimeSeriesClassification.jl)

## Packages providing other kinds of functionality:

- [MLJParticleSwarmOptimization.jl](https://github.com/JuliaAI/MLJParticleSwarmOptimization.jl) (hyper-parameter optimization strategy)
- [TreeParzen.jl](https://github.com/IQVIA-ML/TreeParzen.jl) (hyper-parameter optimization strategy)
- [Shapley.jl](https://gitlab.com/ExpandingMan/Shapley.jl) (feature ranking / interpretation)
- [ShapML.jl](https://github.com/nredell/ShapML.jl) (feature ranking / interpretation)
- [Fairness.jl](https://github.com/ashryaagr/Fairness.jl) (FAIRness metrics)
- [OutlierDetection.jl](https://github.com/OutlierDetectionJL/OutlierDetection.jl/blob/master/src/mlj_wrappers.jl) (provides the `ProbabilisticDetector` wrapper and other outlier detection meta-functionality)
- [ConformalPrediction.jl](https://github.com/pat-alt/ConformalPrediction.jl) (predictive uncertainty quantification through conformal prediction)


